{varType Skadmin\TournamentGame\Doctrine\Tournament\Tournament $tournament}

<div class="row">
    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body">
                <div class="row mb-3">
                    <div class="col-12">
                        <ul class="nav nav-pills">
                            <li class="nav-item">
                                <a class="nav-link active" href="#general">
                                    <i class="fas fa-fw fa-cogs"></i> <span class="d-none d-lg-inline-block">{_'tournament-game.edit.general'}</span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="#payment">
                                    <i class="fas fa-fw fa-file-invoice-dollar"></i> <span class="d-none d-lg-inline-block">{_'tournament-game.edit.payment'}</span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="#tab">
                                    <i class="fas fa-fw fa-tasks"></i> <span class="d-none d-lg-inline-block">{_'tournament-game.edit.tab'}</span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="#stream-discord">
                                    <i class="fas fa-fw fa-link"></i> <span class="d-none d-lg-inline-block">{_'tournament-game.edit.stream-discord'}</span>
                                </a>
                            </li>
                            <li class="nav-item" n:if="! $tournament->isInFuture()">
                                <a class="nav-link" href="#winner">
                                    <i class="fas fa-fw fa-trophy"></i> <span class="d-none d-lg-inline-block">{_'tournament-game.edit.winner'}</span>
                                </a>
                            </li>
                            {$tournament|renderSeoTab}

                            {* MORE *}
                            <li class="nav-item" n:if="$tournament->getResults()->count() !== 0">
                                <a class="nav-link" href="{plink Component:default package => new \Skadmin\TournamentGame\BaseControl(), render => 'results', id => $tournament->getId()}">
                                    <i class="fas fa-fw fa-upload"></i> <span class="d-none d-lg-inline-block">{_'tournament-game.edit.results'}</span>
                                </a>
                            </li>

                            <li class="nav-item" n:if="$tournament->getCountRegistrations() !== 0">
                                <a class="nav-link" href="{plink Component:default package => new \Skadmin\TournamentGame\BaseControl(), render => 'overview-registrations', id => $tournament->getId()}">
                                    <i class="fas fa-fw fa-users"></i> <span class="d-none d-lg-inline-block">{_'tournament-game.edit.overview-registrations'}</span>
                                </a>
                            </li>

                            <li class="nav-item" n:if="$tournament->isLoaded()">
                                <a class="nav-link" href="{plink Component:default package => new \Skadmin\TournamentGame\BaseControl(), render => 'bracket', id => $tournament->getId()}">
                                    <i class="fas fa-fw fa-sitemap"></i> <span class="d-none d-lg-inline-block">{_'tournament-game.edit.overview-bracket'}</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>

                {form form}
                    <div class="row">
                        <div class="col-12">
                            <div n:foreach="$form->errors as $error" class="alert alert-danger">{$error}</div>
                        </div>

                        <div class="col-12 tab-content">

                            {* general *}
                            <div class="show active tab-pane fade" id="general">
                                <div class="row">
                                    <div class="col-sm-12 col-lg-6 col-xl-7">
                                        {label name /}
                                        <div class="form-group input-group border-right-0">
                                            {input name class => 'form-control'}
                                            <div class="input-group-append">
                                                <div class="input-group-text custom-control custom-switch bg-white border-left-0">
                                                    {input change_webalize: class => "custom-control-input"}
                                                    {label change_webalize: class => "custom-control-label ml-2" /}
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-sm-12 col-lg-6 col-xl-5">
                                        {label term /}
                                        <div class="form-group">
                                            {input term class => 'form-control'}
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-12 col-sm-4">
                                        {label tournament_type_id /}
                                        <div class="form-group">
                                            {input tournament_type_id class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-sm-4">
                                        {label game_id /}
                                        <div class="form-group">
                                            {input game_id class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-sm-4">
                                        {label number_of_participants /}
                                        <div class="form-group">
                                            {input number_of_participants class => 'form-control'}
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-12 form-group js">
                                        {label image_preview-identifier /}
                                        <a data-toggle="collapse" href="#" data-target=".image-preview" aria-expanded="false" n:if="$tournament->getImagePreview()">
                                            <i class="fas fa-eye-slash collapse show image-preview position-absolute ml-2 mt-1"></i>
                                            <i class="fas fa-eye collapse image-preview position-absolute ml-2 mt-1"></i>
                                        </a>
                                        <div class="rfm-root">
                                            {input image_preview-identifier class => 'inputfile inputfile-2'}
                                            <label for="{$form['image_preview']['identifier']->getHtmlId()}" id="{$form['image_preview']['identifier']->getHtmlId()}-icon">
                                                <i class="fas fa-fw fa-image mr-1"></i>
                                                <span>{_'form.upload.file-image'}</span>
                                            </label>
                                            {input image_preview-identifier_text class => 'form-control inputfile-upload-rfm-input mb-2'}
                                            <a href="{$basePath}/3rd/responsive-filemanager-9.14.0/filemanager/dialog.php?type=1&field_id={$form['image_preview']['identifier_text']->getHtmlId()}&relative_url=1&callback=rfmCallback"
                                               class="fas fa-fw fa-upload inputfile-upload-rfm"></a>
                                            <a href="#" class="fas fa-fw fa-times text-danger d-none inputfile-upload-rfm-remove"></a>
                                        </div>
                                        <div class="collapse image-preview" n:if="$tournament->getImagePreview()">
                                            <img n:img="$tournament->getImagePreview()" class="img-fluid">
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-12">
                                        <div class="form-group custom-control custom-switch">
                                            {input is_open_registration: class => "custom-control-input"}
                                            {label is_open_registration: class => "custom-control-label" /}
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-12">
                                        <div class="form-group custom-control custom-switch">
                                            {input is_confirmation_required: class => "custom-control-input"}
                                            {label is_confirmation_required: class => "custom-control-label" /}
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-12 col-md-3">
                                        <div class="form-group custom-control custom-switch">
                                            {input is_online: class => "custom-control-input"}
                                            {label is_online: class => "custom-control-label" /}
                                        </div>
                                    </div>
                                </div>

                                <div class="row" id="is-online">
                                    <div class="col-6 col-lg-4 col-xl-3">
                                        {label confirmation_from /}
                                        <div class="form-group">
                                            {input confirmation_from class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-6 col-lg-4 col-xl-3">
                                        {label confirmation_to /}
                                        <div class="form-group">
                                            {input confirmation_to class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-lg-4 col-xl-6 text-center text-md-left d-flex flex-lg-column justify-content-lg-between">
                                        <label class="font-weight-bold">Check in<span class="d-lg-none mr-1">:</span></label>
                                        <span class="mb-4 d-lg-block js-check-in"><i class="fas fa-fw fa-spinner fa-spin"></i></span>
                                    </div>
                                </div>

                                <div class="row" id="is-offline">
                                    <div class="col-12 col-lg-6 col-xl-4">
                                        {label place_name /}
                                        <div class="form-group">
                                            {input place_name class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-lg-6 col-xl-4">
                                        {label place_address /}
                                        <div class="form-group">
                                            {input place_address class => 'form-control'}
                                        </div>
                                    </div>
                                    <div class="col-12 col-lg-6 col-xl-2">
                                        {label place_gps_lat /}
                                        <div class="form-group">
                                            <div class="input-group">
                                                <div class="input-group-prepend">
                                                    <label class="input-group-text font-weight-bold" for="{$form['place_gps_lat']->getHtmlId()}">
                                                        N
                                                    </label>
                                                </div>
                                                {input place_gps_lat class => 'form-control'}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-lg-6 col-xl-2">
                                        {label place_gps_lng /}
                                        <div class="form-group">
                                            <div class="input-group">
                                                <div class="input-group-prepend">
                                                    <label class="input-group-text font-weight-bold" for="{$form['place_gps_lng']->getHtmlId()}">
                                                        E
                                                    </label>
                                                </div>
                                                {input place_gps_lng class => 'form-control'}
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row" n:if="isset($form['is_active'])">
                                    <div class="col-12">
                                        <div class="form-group custom-control custom-switch">
                                            {input is_active: class => "custom-control-input"}
                                            {label is_active: class => "custom-control-label" /}
                                        </div>
                                    </div>
                                </div>

                                <div class="row" n:if="isset($form['is_locked'])">
                                    <div class="col-12">
                                        <div class="form-group custom-control custom-switch">
                                            {input is_locked: class => "custom-control-input"}
                                            {label is_locked: class => "custom-control-label" /}
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-12">
                                        <div class="form-group custom-control custom-switch">
                                            {input is_required_game_id: class => "custom-control-input"}
                                            {label is_required_game_id: class => "custom-control-label" /}
                                        </div>
                                    </div>
                                </div>

                                <div class="row my-2">
                                    <div class="col-12">
                                        <ul class="nav nav-pills">
                                            <li class="nav-item"><a class="nav-link active" href="#general-content">{_$form['content']->getCaption()}</a></li>
                                            <li class="nav-item"><a class="nav-link" href="#general-description">{_$form['description']->getCaption()}</a></li>
                                            <li class="nav-item"><a class="nav-link" href="#general-prize-pool">{_$form['prize_pool']->getCaption()}</a></li>
                                            <li class="nav-item"><a class="nav-link" href="#general-schedule">{_$form['schedule']->getCaption()}</a></li>
                                            <li class="nav-item"><a class="nav-link" href="#general-rules">{_$form['rules']->getCaption()}</a></li>
                                        </ul>
                                    </div>
                                </div>

                                <div class="row form-group">
                                    <div class="col-12 tab-content">
                                        <div class="show active tab-pane fade" id="general-content">

                                            <div class="card border-left-warning shadow mb-2" n:if="('form.tournament-game.edit.content.hint'|translate)">
                                                <div class="card-body">
                                                    <div class="row">
                                                        <div class="col">
                                                            <i class="fas fa-fw fa-info fa-lg text-warning"></i>
                                                            {_'form.tournament-game.edit.content.hint'}
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            {input content class => 'form-control',  data-tinymce => 'default'}
                                        </div>

                                        <div class="tab-pane fade" id="general-description">

                                            <div class="card border-left-warning shadow mb-2" n:if="('form.tournament-game.edit.description.hint'|translate)">
                                                <div class="card-body">
                                                    <div class="row">
                                                        <div class="col">
                                                            <i class="fas fa-fw fa-info fa-lg text-warning"></i>
                                                            {_'form.tournament-game.edit.description.hint'}
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            {input description class => 'form-control',  data-tinymce => 'default'}
                                        </div>

                                        <div class="tab-pane fade" id="general-prize-pool">

                                            <div class="card border-left-warning shadow mb-2" n:if="('form.tournament-game.edit.prize-pool.hint'|translate)">
                                                <div class="card-body">
                                                    <div class="row">
                                                        <div class="col">
                                                            <i class="fas fa-fw fa-info fa-lg text-warning"></i>
                                                            {_'form.tournament-game.edit.prize-pool.hint'}
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            {input prize_pool class => 'form-control',  data-tinymce => 'default'}
                                        </div>

                                        <div class="tab-pane fade" id="general-schedule">

                                            <div class="card border-left-warning shadow mb-2" n:if="('form.tournament-game.edit.schedule.hint'|translate)">
                                                <div class="card-body">
                                                    <div class="row">
                                                        <div class="col">
                                                            <i class="fas fa-fw fa-info fa-lg text-warning"></i>
                                                            {_'form.tournament-game.edit.schedule.hint'}
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            {input schedule class => 'form-control',  data-tinymce => 'default'}
                                        </div>

                                        <div class="tab-pane fade" id="general-rules">

                                            <div class="card border-left-warning shadow mb-2" n:if="('form.tournament-game.edit.rules.hint'|translate)">
                                                <div class="card-body">
                                                    <div class="row">
                                                        <div class="col">
                                                            <i class="fas fa-fw fa-info fa-lg text-warning"></i>
                                                            {_'form.tournament-game.edit.rules.hint'}
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            {input rules class => 'form-control',  data-tinymce => 'default'}
                                        </div>
                                    </div>
                                </div>
                            </div>

                            {* payment *}
                            <div class="show tab-pane fade" id="payment">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="form-group custom-control custom-switch">
                                            {input is_unpaid: class => "custom-control-input"}
                                            {label is_unpaid: class => "custom-control-label" /}
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-12 col-lg-6" id="input-payment">
                                        <div class="row">
                                            <div class="col-12">
                                                {label payment /}
                                                <div class="form-group">
                                                    {input payment class => 'form-control chosen-select',
                                                    data-chosen-placeholder-text => ('form.tournament-game.edit.payment.placeholder'|translate),
                                                    data-chosen-no-result-text => ('form.tournament-game.edit.payment.no-result'|translate)}
                                                </div>
                                            </div>

                                            <div class="col-12" n:foreach="$form['payment_price']->getComponents() as $paymentId => $component" id="payment-price-{$paymentId}">
                                                {label $component['price'] /}
                                                <div class="form-group">
                                                    {input $component['price'] class => 'form-control'}
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-12 col-lg-6">
                                        {label supplement /}
                                        <div class="form-group">
                                            {input supplement class => 'form-control chosen-select',
                                            data-chosen-placeholder-text => ('form.tournament-game.edit.supplement.placeholder'|translate),
                                            data-chosen-no-result-text => ('form.tournament-game.edit.supplement.no-result'|translate)}
                                        </div>
                                    </div>
                                </div>
                            </div>

                            {* tab *}
                            <div class="show tab-pane fade" id="tab">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="form-group custom-control custom-switch">
                                            {input is_live_chat: class => "custom-control-input"}
                                            {label is_live_chat: class => "custom-control-label" /}
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-12 col-sm-6 col-md-4">
                                        <div class="form-group custom-control custom-switch">
                                            {input is_result: class => "custom-control-input"}
                                            {label is_result: class => "custom-control-label" /}
                                        </div>
                                    </div>

                                    <div class="col-12 col-sm-6 col-md-4" id="is-result-required">
                                        <div class="form-group custom-control custom-switch">
                                            {input is_result_opponent_required: class => "custom-control-input"}
                                            {label is_result_opponent_required: class => "custom-control-label" /}
                                        </div>
                                    </div>

                                    <div class="col-12">
                                        <div class="form-group custom-control custom-switch">
                                            {input is_result_file_required: class => "custom-control-input"}
                                            {label is_result_file_required: class => "custom-control-label" /}
                                        </div>
                                    </div>
                                </div>
                            </div>

                            {* stream & discord *}
                            <div class="show tab-pane fade" id="stream-discord">
                                <div class="row">
                                    <div class="col-12 form-group">
                                        {label stream /}
                                        {input stream class => 'form-control'}
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-12">
                                        {label discord /}
                                        <div class="form-group">
                                            {input discord class => 'form-control'}
                                        </div>
                                    </div>
                                </div>
                            </div>

                            {* winner *}
                            <div class="show tab-pane fade mb-3" id="winner" n:if="! $tournament->isInFuture()">
                                <div class="row">
                                    <div class="col-12 col-lg-4">
                                        {label winner_id /}
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <label class="input-group-text font-weight-bold" for="{$form['winner_id']->getHtmlId()}">
                                                    <i class="fas fa-fw fa-trophy text-gold"></i>
                                                </label>
                                            </div>
                                            {input winner_id class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-lg-4">
                                        {label second_place_id /}
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <label class="input-group-text font-weight-bold" for="{$form['second_place_id']->getHtmlId()}">
                                                    <i class="fas fa-fw fa-trophy text-silver"></i>
                                                </label>
                                            </div>
                                            {input second_place_id class => 'form-control'}
                                        </div>
                                    </div>

                                    <div class="col-12 col-lg-4">
                                        {label third_place_id /}
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <label class="input-group-text font-weight-bold" for="{$form['third_place_id']->getHtmlId()}">
                                                    <i class="fas fa-fw fa-trophy text-bronze"></i>
                                                </label>
                                            </div>
                                            {input third_place_id class => 'form-control'}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            {input send class => 'btn btn-primary w-100 w-lg-auto mb-2'}
                            {input send_back class => 'btn btn-outline-primary w-100 w-lg-auto mb-2'}
                            {input back class => 'btn btn-light w-100 w-lg-auto mb-2'}
                        </div>
                    </div>

                    <script n:syntax="double">
                        $(function (){
                            var $checkIn = $('.js-check-in');

                            $(document).on('change', '#' + {{$form['term']->getHtmlId()}} + ', #' + {{$form['confirmation_from']->getHtmlId()}} + ', #' + {{$form['confirmation_to']->getHtmlId()}}, function () {
                                let splitTerm = $('#' + {{$form['term']->getHtmlId()}}).val().split(' - ');

                                let confirmationFrom = moment(splitTerm[0], 'DD.MM.YYYY hh:mm:ss');
                                confirmationFrom.subtract($('#' + {{$form['confirmation_to']->getHtmlId()}}).val(), 'minutes');

                                let confirmationTo = moment(splitTerm[0], 'DD.MM.YYYY hh:mm:ss');
                                confirmationTo.subtract($('#' + {{$form['confirmation_from']->getHtmlId()}}).val(), 'minutes');

                                let confirmation = confirmationFrom.format('DD.MM.YYYY HH:mm') + ' - ' + confirmationTo.format('HH:mm');

                                if (confirmation) {
                                    $checkIn.text(confirmation);
                                }
                            });
                        });
                    </script>
                {/form}
            </div>
        </div>
    </div>
</div>